# View/Edit Database Tables 

To view/edit database a table,  select the table in database menu.
<br />
<br />
<img alt="Database Menu" src="images/database_tables/database_menu.png" width="250" />
<br />

---------------------------
---------------------------
## Plot Types Table

List all types of plotting and description.  This table is readonly.
<br />
<br />
<img alt="Plot Types Table" src="images/database_tables/plot_types.png" width="590" />
<br />

+ Fields' meaning:
    + Plot Type: Name of the plotting type
    + Description: Describing how the channel will look like and the format
of the ValueColors if applicable.
<br />

## Parameters Table

List all parameters available.
<br />
<br />
<img alt="Parameters Table" src="images/database_tables/parameters.png" width="590" />
<br />

+ Depend on the PlotType entered,  ValueColors will be applied for the 
parameter or not.  If ValueColors is available,  there will be some hint for 
values to entered in grey color.
+ To add a new row to the table,  click on ADD ROW button.
+ To save any changes to database,  click on SAVE CHANGES.  If ValueColors isn't 
applicable,  the field will be cleared; otherwise it will be validated at this point.
+ To close the dialog,  click on CLOSE.  User will be asked to confirm closing 
if there have been any changes made.
+ Fields' meaning:
    + No.: Line number,  start with 0.
    + Param: Parameter's name.
    + Plot Type: Define how to plot the parameter.  Description of Plot Type
can be found in Plot Types Table.
    + ValueColors: mapping between values and colors or dot/line and color,  or
simply color of dots in the plots
    + Height: Height of plot in compare with other plots.
+ For each color mode available, a row in the database has a separate value for
ValueColors.  In order to change between the color mode, use the selector at
the bottom right of the dialog. The color mode chosen when the Parameters table
is opened is the one chosen in the main window.

<br />
<br />

<img alt="Parameters Table" src="images/database_tables/parameters_change_color_mode.jpeg" width="590" />

<br />

## Data Types Table

List all data types available in which Default is the datatype for DEFAULT 
channel to draw any channels that aren't defined in database.
<br />
<br />
<img alt="Data Types Table" src="images/database_tables/data_types.png" width="590" />
<br />

+ To add a new row to the table, click on ADD ROW button.
+ To save any changes to database, click on SAVE CHANGES.
+ To close the dialog, click on CLOSE. User will be asked to confirm closing if there have been any changes made.
<br />

## Channels Table

List all channels available for the selected Data Type on the left-top corner.
<br />
<br />
<img alt="A Row of SOH List" src="images/database_tables/channels.png" width="590" />
<br />

+ To add a new row to the table, click on ADD ROW button.
+ To save any changes to database, click on SAVE CHANGES.
+ To close the dialog, click on CLOSE. User will be asked to confirm closing if there have been any changes made.
+ Fields' meaning:
    + No.: Line number, start with 0.
    + Channel: Channel's name.
    + Label: Displayed with the channel to explain the meaning of the channel.
    + Param: To describe what kind of parameter the channel is. How the channel is plotted depends on this field.
    + ConvertFactor: To convert from value read to actual display.
    + Unit: The unit of the displayed value for the channel.
    + FixPoint: Decimal point to display the value.
+ Channels that aren't defined in database will be draw with DEFAULT channel defined in Data Type Default.
<br />
<br />
<img alt="DEFAULT channel" src="images/database_tables/default_channel.png" width="590" />
<br />
